#ifndef ENEMY_SPAWNPOINT_HPP
#define ENEMY_SPAWNPOINT_HPP

#include <godot_cpp/classes/node3d.hpp>

namespace godot {
class EnemySpawnpoint : public Node3D {
    GDCLASS(EnemySpawnpoint, Node3D);
    static void _bind_methods();
public:
    bool player_can_see() const;
public:
    void set_keys(bool val);
    bool get_keys() const;
    void set_cars(bool val);
    bool get_cars() const;
    void set_drones(bool val);
    bool get_drones() const;
private:
    bool keys{true};
    bool cars{true};
    bool drones{true};
};
}

#endif // !ENEMY_SPAWNPOINT_HPP
